Bug 47797 - medium security installation with a broadcast to find a nis server fails
Summary: medium security installation with a broadcast to find a nis server fails
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-07 18:27 UTC by Need Real Name
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-07 18:27:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-07-07 18:27:42 UTC
Description of Problem:



On a fresh 7.1 install, I chose the medium network security and a broadcast nis server.  When the system booted, nis failed to function, because ipchains was blocking the replies from the nis server.



How Reproducible:





Steps to Reproduce:

1. have a functioning NIS system running elsewhere on the network

2. do a fresh install of RedHat 7.1 and choose medium firewall security and broadcast to find the NIS server

3. reboot and try to log in



Actual Results:

login times out, even for root



Expected Results:

successful login



Additional Information:

I booted single user, disabled NIS, and then brought it up step by step manually till I found the problem.

Undoing the ipchains allows nis to work in this configuration.  Since this machien is behind a firewall, I am not as worried about its security till I get around to fixing the ipchains rules.

Comment 1 Bill Nottingham 2001-07-09 04:34:38 UTC
NIS does not work with either medium or high firewall settings. See the release
notes.


Note You need to log in before you can comment on or make changes to this bug.